[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemonRunMode

Daemon application run mode

## Declaration

Source position: daemonapp.pp line 33

`type TDaemonRunMode = (`
`drmUnknown,` |  | Unknown mode
`drmInstall,` |  | Daemon install mode (windows only)
`drmUninstall,` |  | Daemon uninstall mode (windows only)
`drmRun` |  | Daemon is running normally
`);`

## Description

TDaemonRunMode indicates in what mode the daemon application (as a whole) is currently running.

## See also

RunMode |  | Application mode

The latest version of this document can be found at lazarus-ccr.sourceforge.net.